
QGIS Application - Bug report #14010

Converting to Offline Editing of WFS-T layer causes minidump

2015-12-18 12:43 PM - Drew Nix

Status: Closed

Priority: Severe/Regression

Assignee: Alessandro Pasotti

Category: C++ plugins/Offline editing

Affected QGIS version:2.12.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 22023

Description

Converting to Offline Editing of WFS-T layer causes minidump

Steps to reproduce:

Add a WFS-T Layer

Convert layer offline.

Results in a crash (minidump).

Tested with Cache Feature setting of WFS Layer both enabled and disabled.

WFS provided by Geoserver.

Related issues:

Duplicates QGIS Application - Bug report # 3673: Offline edit: do not allow s... Closed

Associated revisions

Revision eeb9bdd2 - 2016-04-14 07:59 PM - Alessandro Pasotti 

Avoid crash when WFS converted to offline

Fixes #14010 Converting to Offline Editing of WFS-T layer causes minidump

Funded by Boundless

Revision 64f29039 - 2016-04-22 10:02 AM - Alessandro Pasotti 

Avoid crash when WFS converted to offline

Fixes #14010 Converting to Offline Editing of WFS-T layer causes minidump

Funded by Boundless

(cherry-picked from eeb9bdd)

History

#1 - 2015-12-18 12:48 PM - Drew Nix

Also occurs on Fedora 20.3 QGIS v2.10.
#2 - 2015-12-20 03:56 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to duplicate

duplicate of #3673 (and not a regression, so not a blocker).

#3 - 2015-12-21 05:06 AM - Drew Nix

Based on the Documentation (http://docs.qgis.org/2.8/en/docs/user_manual/plugins/plugins_offline_editing.html), this used to work.

Are you sure this is not a Regression?

#4 - 2015-12-21 05:10 AM - Giovanni Manghi

Drew Nix wrote:

Based on the Documentation (http://docs.qgis.org/2.8/en/docs/user_manual/plugins/plugins_offline_editing.html), this used to work.

Are you sure this is not a Regression?

ummm... I thought it was only for potsgis... need to check. Thanks-

#5 - 2015-12-21 12:37 PM - Giovanni Manghi

Drew Nix wrote:

Based on the Documentation (http://docs.qgis.org/2.8/en/docs/user_manual/plugins/plugins_offline_editing.html), this used to work.

Are you sure this is not a Regression?

I have found no evidence that this tools was ever intended to be used with wfs-t. Do you ever used it successfully with wfs-t?

#6 - 2015-12-22 05:26 AM - Drew Nix

- File QGIS.LOG added

Giovanni Manghi wrote:

I have found no evidence that this tools was ever intended to be used with wfs-t. Do you ever used it successfully with wfs-t?

Yes. In fact, yesterday while testing on Fedora 20.3, it worked on a few occasions flawlessly.

I should note the offline.sqlite database always gets populated... even in the event of a crash.

2024-03-13 2/4

http://docs.qgis.org/2.8/en/docs/user_manual/plugins/plugins_offline_editing.html
http://docs.qgis.org/2.8/en/docs/user_manual/plugins/plugins_offline_editing.html
http://docs.qgis.org/2.8/en/docs/user_manual/plugins/plugins_offline_editing.html


Attached is windows 7 debug output from v2.13.0-Master (commit:d31e610)

Below is gdb output from Fedora:

 

#0  0x0000000000000000 in ?? ()

#1  0x00007fff7656694d in QgsAbstractFeatureIteratorFromSource<QgsWFSFeatureSource>::~QgsAbstractFeatureIteratorFromSource

(this=0x55555a5853c0, 

    __in_chrg=<optimized out>)

    at /usr/src/debug/qgis-2.10.1/src/core/qgsfeatureiterator.h:122

#2  QgsWFSFeatureIterator::~QgsWFSFeatureIterator (this=0x55555a5853c0, 

    __in_chrg=<optimized out>)

    at /usr/src/debug/qgis-2.10.1/src/providers/wfs/qgswfsfeatureiterator.cpp:43

#3  0x00007fff76566969 in QgsWFSFeatureIterator::~QgsWFSFeatureIterator (

    this=0x55555a5853c0, __in_chrg=<optimized out>)

    at /usr/src/debug/qgis-2.10.1/src/providers/wfs/qgswfsfeatureiterator.cpp:46

#4  0x00007ffff29a2864 in QgsFeatureIterator::~QgsFeatureIterator (

    this=0x7fffffffc950, __in_chrg=<optimized out>)

    at /usr/src/debug/qgis-2.10.1/src/core/qgsfeatureiterator.h:191

#5  QgsOfflineEditing::copyVectorLayer (this=this@entry=0x555556bed870, 

    layer=layer@entry=0x5555582d99c0, db=0x555558346cf8, offlineDbPath=...)

    at /usr/src/debug/qgis-2.10.1/src/core/qgsofflineediting.cpp:608

#6  0x00007ffff29a3d95 in QgsOfflineEditing::convertToOfflineProject (

    this=0x555556bed870, offlineDataPath=..., offlineDbFile=..., layerIds=...)

    at /usr/src/debug/qgis-2.10.1/src/core/qgsofflineediting.cpp:127

#7  0x00007fff803e205b in QgsOfflineEditingPlugin::convertProject (

    this=0x555556139a70)

    at /usr/src/debug/qgis-2.10.1/src/plugins/offline_editing/offline_editing_plugin.cpp:111

#8  0x00007ffff1e3ca80 in QMetaObject::activate (

    sender=sender@entry=0x555556beb420, 

    m=m@entry=0x7ffff1c487a0 <QAction::staticMetaObject>, 

    local_signal_index=local_signal_index@entry=1, 

    argv=argv@entry=0x7fffffffcea0) at kernel/qobject.cpp:3567

#9  0x00007ffff11509d2 in QAction::triggered (this=this@entry=0x555556beb420, 

    _t1=false) at .moc/release-shared/moc_qaction.cpp:276

(More stack frames follow...)

(gdb) 

#7 - 2015-12-22 08:04 AM - Giovanni Manghi

- Resolution deleted (duplicate)

- Status changed from Closed to Reopened

#8 - 2016-02-02 12:48 AM - Sandro Santilli

- Priority changed from Severe/Regression to Normal

Lowering priority to match target version (currently "future release", so cannot be "blocker")

#9 - 2016-02-02 03:09 AM - Giovanni Manghi

- Priority changed from Normal to Severe/Regression
Sandro Santilli wrote:

Lowering priority to match target version (currently "future release", so cannot be "blocker")

I do not agree. First, the issues causing crashes are at least tagged as "high priority", then you may like it or not but the way we have to tag regressions is to

use the "blocker" tag. It may not be the best wording, but for now we don't have decided otherwise. Maybe not all regressions are blockers for a new

releases (they should be, in my point of view), in this case we need to add a new tag.

#10 - 2016-02-02 03:11 AM - Giovanni Manghi

Giovanni Manghi wrote:

Sandro Santilli wrote:

Lowering priority to match target version (currently "future release", so cannot be "blocker")

I do not agree. First, the issues causing crashes are at least tagged as "high priority", then you may like it or not but the way we have to tag

regressions is to use the "blocker" tag. It may not be the best wording, but for now we don't have decided otherwise. Maybe not all regressions are

blockers for a new releases (they should be, in my point of view), in this case we need to add a new tag.

In this specific case, as no one seems to maintain and fix this tool that could be very useful (but it barely usable because of bugs), it could be enough to

disable the possibility to put off-line a wfs-t layer.

#11 - 2016-04-08 10:02 AM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

#12 - 2016-04-19 10:26 AM - Anonymous

- Status changed from Reopened to Closed

Fixed in changeset commit:"eeb9bdd2e0eeaf1c794b02240e3dd587f5a4cd89".

Files

QGIS.LOG 588 KB 2015-12-22 Drew Nix
